%define jsoncpp_major 0
%define libname %mklibname %name %{jsoncpp_major}
%define develname %mklibname -d %name

Name:       jsoncpp
Version:    1.6.5
Release:    %mkrel 2
Summary:    C++ JSON Library
License:    Public Domain
Group:      System/Libraries
Url:        http://jsoncpp.sourceforge.net/
Source0:    https://github.com/open-source-parsers/jsoncpp/archive/jsoncpp-0.10.5.tar.xz
Patch0:     jsoncpp-autotools.patch
#To generate docs
BuildRequires: doxygen
BuildRequires: graphviz

%description
JsonCpp is a simple API to manipulate JSON value, handle serialization 
and unserialization to string.

It can also preserve existing comment in unserialization/serialization steps,
making it a convenient format to store user input files.

Unserialization parsing is user friendly and provides precise error reports.


%package -n %libname
Summary:        JsonCpp library
Group:          System/Libraries

%description -n %libname
JsonCpp is a simple API to manipulate JSON value, handle serialization 
and unserialization to string.

It can also preserve existing comment in unserialization/serialization steps,
making it a convenient format to store user input files.

Unserialization parsing is user friendly and provides precise error reports.

%package -n     %{develname}
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}       
Provides:	jsoncpp-devel = %{version}-%{release}
Provides:	libjsoncpp-devel = %{version}-%{release}

%description -n    %{develname}
Files for building applications with %{name} support.

%prep 
%setup -qn jsoncpp-0.10.5
%patch0 -p1 -b .autotools

# make sure doxyfile.in can be processed by autoconf
sed -i -e 's/%/@/g' doc/doxyfile.in

%build
touch README ChangeLog NEWS
autoreconf -fi
%configure2_5x --disable-static
%make

%install
rm -rf %buildroot
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la

%files -n %libname
%{_libdir}/libjsoncpp.so.%{jsoncpp_major}*

%files -n %develname
%{_includedir}/%{name}/*
%{_libdir}/libjsoncpp.so
%doc %{_docdir}/libjsoncpp/html


%changelog
* Sun Aug 22 2015 bb <bb> 1.6.5-2pclos2015
- back down to 0.10.5 to fix vpn-unlimited

* Sat Aug 22 2015 bb <bb> 1.6.5-1pclos2015
- update for kodi 15.1

* Wed Nov 06 2013 pinoc <vogtpet at gmail.com> jsoncpp-0.6.0-0.rc2.2.pclos2013
- imported package